package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1175514899358_0_4947978649100633 implements fr.ifremer.isisfish.equation.PopulationPrice {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 6: return 15.0;
    case 2: return 0.0;
    case 0: return 0.0;
    case 4: return 15.0;
    case 3: return 15.0;
    case 1: return 0.0;
    case 7: return 15.0;
    case 5: return 15.0;
    default: return 0;
  }

}
}
